package myrms;

import javax.microedition.midlet.*;
import javax.microedition.rms.*;
import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.Display;

public class SimpleDelete extends MIDlet
	{
	  static final String REC_STORE = "db_1";
	  private Alert strTemp=new Alert("Deleting the record store...");
	  
	  public SimpleDelete()
	  {
	    deleteRecStore(); // Remove the record store
	  }

	  public void destroyApp( boolean unconditional )
	  {
	  }

	  public void startApp()
	  {
	    // Just show a message
		  Display.getDisplay(this).setCurrent(strTemp);
	  }

	  public void pauseApp()
	  {
	  }

	  public void deleteRecStore()
	  {
	    if (RecordStore.listRecordStores() != null)
	    {
	      try
	      {
	        RecordStore.deleteRecordStore(REC_STORE);
	      }
	      catch (Exception e)
	      {
	        db(e.toString());
	      }
	    }      
	  }

	  /*--------------------------------------------------
	  * Simple message to console for debug/errors
	  * When used with Exceptions we should handle the 
	  * error in a more appropriate manner.
	  *-------------------------------------------------*/
	  private void db(String str)
	  {
	    System.err.println("Msg: " + str);
	  }
}



